﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Dotway.WPF.Panels.Utilities
{
    public struct Pair<T, U>
    {
        private T _x;
        private U _y;

        public Pair(T x, U y)
        {
            _x = x;
            _y = y;
        }

        public T X
        {
            get { return _x; }
            set { _x = value; }
        }

        public U Y
        {
            get { return _y; }
            set { _y = value; }
        }
    }
}
